/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_TOOLSSETTINGS_H
#define _SC_TOOLSSETTINGS_H

// sc
#include "util/String.h"


class ToolsSettings
{
public:
  virtual ~ToolsSettings(){}

  virtual sc::String getBuiltinDiffCmd() = 0;
  virtual sc::String getDiffCmd() = 0;
  virtual void setDiffCmd( const sc::String& ) = 0;

  virtual sc::String getBuiltinMergeCmd() = 0;
  virtual sc::String getMergeCmd() = 0;
  virtual void setMergeCmd( const sc::String& ) = 0;
};

#endif // _SC_TOOLSSETTINGS_H
